
onEvent("recipes", (event) => {
 
 
  event.remove({output: 'mining_dimension:teleporter'}) 
  // stone
  event.shaped('minecraft:beehive', [
    "DDD",
    "BBB",
    "DDD"
  ], {
    B: '#forge:tallow',
	D: '#minecraft:planks'
  })
 
 
 // stone
 event.shapeless('2x minecraft:cobblestone', '4x skybridgecraft:stone_dust')
 //coal
 event.shapeless('2x minecraft:coal', '4x skybridgecraft:coal_dust')
 
 
 //minicoal
 event.shapeless('4x kubejs:mini_coal', 'minecraft:charcoal')
 
 //black_dye
 event.shapeless('minecraft:black_dye', '2x kubejs:mini_coal')
 
 //lief 泥裂纹砖

event.shapeless('2x kubejs:lief', ['minecraft:cobblestone','minecraft:dirt','2x farmersdelight:straw'])

 // submarine_key 卡夫世界钥匙
 event.shaped('kubejs:submarine_key', [
    "BA ",
    "BA ",
    " A "
  ], {
    A: 'kubejs:cavernswall',
    B: 'minecraft:diamond'
	
  })

  event.shaped('dark_caverns:gateway_to_the_caverns', [
    "BCB",
    "BAB",
    "BCB"
  ], {
    C: 'kubejs:submarine_wall',
    B: 'kubejs:cavernswall',
    A: 'kubejs:submarine_key'
	
  })
 // woodcrushcontroller 木料粉碎机控制器
 event.shaped('skybridgecraft:woodcrush', [
    " A ",
    "BCB",
    " A "
  ], {
    A: '#minecraft:planks',
    B: '#minecraft:wooden_slabs',
    C: 'minecraft:grindstone'
  })



 // woodtodirt 石制精华凝聚控制器
 event.shaped('skybridgecraft:woodtodirt', [
    "DAD",
    "BCB",
    "DAD"
  ], {
    A: 'minecraft:stone_bricks',
    B: 'minecraft:cobblestone_slab',
    C: 'minecraft:cobblestone_wall',
	D: 'skybridgecraft:stone_dust'
  })
  
  // sifter 泥浆过滤筛控制器
 event.shaped('skybridgecraft:sifter', [
    "DAD",
    "BCB",
    "DAD"
  ], {
    A: 'minecraft:stone_bricks',
    B: 'mcwfences:modern_stone_brick_wall',
    C: 'refinedpipes:basic_item_pipe',
	D: 'kubejs:silt'
  })
 
 
 
 //stone_dust
event.custom(
    {
    "type": "interactio:item_fluid_transform",
	"inputs": [
   
	{
      "tag": "#forge:dirt",
      "count": 4
    },
	{
      "item": "minecraft:bowl",
      "count": 1,
	  "return_chance": 1
    }
  ],
  "fluid": {
    "fluid": "water"
  },
  "output": 
    {
      "item": "minecraft:clay_ball",
      "count": 1
     }  
	} 
  )

 
 
 
//stone_dust
event.custom(
    {
    "type": "interactio:item_fluid_transform",
	"inputs": [
   
	{
      "tag": "minecraft:leaves",
      "count": 8
    },
	{
      "item": "minecraft:bowl",
      "count": 1,
	  "return_chance": 1
    }
  ],
  "fluid": {
    "fluid": "water"
  },
  "output": 
    {
      "item": "skybridgecraft:stone_dust",
      "count": 8
     }  
	} 
  )






//red_stone
event.custom(
    {
    "type": "interactio:item_fluid_transform",
	"inputs": [
   
	{
      "item": "skybridgecraft:dirtyredstone_dust",
      "count": 4
    },
	{
      "item": "minecraft:bowl",
      "count": 1,
	  "return_chance": 1
    }
  ],
  "fluid": {
    "fluid": "water"
  },
  "output": 
    {
      "item": "minecraft:redstone",
      "count": 8
     }  
	} 
  )


  event.shaped('skybridgecraft:radiation', [
    "DDD",
    "BAB",
    "DDD"
  ], {
    A: 'mekanism:radioactive_waste_barrel',
    B: '#forge:storage_blocks/refined_obsidian',
	D: '#forge:storage_blocks/lead'
  })











});
